require 'rspec'
require 'spec_helper'
require 'cli_helper'

describe 'CLI' do
  it 'runs with no arguments' do
    expect(capture(:stdout) { Enc.run([]) }).to match("Usage: j-enc <fqdn> [config_file]\n")
  end

  it 'runs with -h argument' do
    expect(capture(:stdout) { Enc.run(['-h']) }).to match("Usage: j-enc <fqdn> [config_file]\n")
  end

  it 'runs with --help argument' do
    expect(capture(:stdout) { Enc.run(['--help']) }).to eq("Usage: j-enc <fqdn> [config_file]\n")
  end

  it 'runs with a valid argument' do
    config = FactoryGirl.build(:config)
    config.create!
    expect(YAML.load((capture(:stdout) { Enc.run([FactoryDefaults::MOCK_ASSET_HOSTNAME,
                                       config.config_file]) }))).to be_an_instance_of(Hash)
    config.delete!
  end
end