require 'factories/config'

FactoryGirl.define do
  factory :api, class: Enc::CollinsHelper::Api do
    skip_create

    config FactoryGirl.build(:config)

    initialize_with { new(:host     => config.get('host'),
                          :username => config.get('username'),
                          :password => config.get('password'),
                          :timeout  => config.get('timeout'),
                          :strict   => true) }
  end

  factory :api_timeout, class: Enc::CollinsHelper::Api do
    skip_create

    config FactoryGirl.build(:config, host: 'http://shouldneverexist99.jivehostedblah.com')

    initialize_with { new(:host     => config.get('host'),
                          :username => config.get('username'),
                          :password => config.get('password'),
                          :timeout  => config.get('timeout'),
                          :strict   => true) }
  end
  factory :api_unauthorized, class: Enc::CollinsHelper::Api do
    skip_create

    config FactoryGirl.build(:config, host: 'http://willreturn401.jivehostedblah.com')

    initialize_with { new(:host     => config.get('host'),
                          :username => config.get('username'),
                          :password => config.get('password'),
                          :timeout  => config.get('timeout'),
                          :strict   => true) }
  end
  factory :api_forbidden, class: Enc::CollinsHelper::Api do
    skip_create

    config FactoryGirl.build(:config, host: 'http://willreturn403.jivehostedblah.com')

    initialize_with { new(:host     => config.get('host'),
                          :username => config.get('username'),
                          :password => config.get('password'),
                          :timeout  => config.get('timeout'),
                          :strict   => true) }
  end
  factory :api_error, class: Enc::CollinsHelper::Api do
    skip_create

    config FactoryGirl.build(:config, host: 'http://willreturn500.jivehostedblah.com')

    initialize_with { new(:host     => config.get('host'),
                          :username => config.get('username'),
                          :password => config.get('password'),
                          :timeout  => config.get('timeout'),
                          :strict   => true) }
  end
end
