FactoryGirl.define do
  factory :config, class: Enc::Config do
    skip_create

    config_file FactoryDefaults::MOCK_ENC_CONF_DIR + '/collins.yaml'
    host FactoryDefaults::MOCK_COLLINS_URL
    username FactoryDefaults::MOCK_COLLINS_USERNAME
    password FactoryDefaults::MOCK_COLLINS_PASSWORD
    log_file FactoryDefaults::MOCK_ENC_LOG_DIR + '/enc.log'
    log_level 'debug'
    cache_dir FactoryDefaults::MOCK_ENC_CACHE_DIR

    initialize_with { new(config_file, {:host               => host,
                                        :username           => username,
                                        :password           => password,
                                        :jive_enc_log_file  => log_file,
                                        :jive_enc_log_level => log_level,
                                        :jive_enc_cache_dir => cache_dir}, false) }

  end
end
