require 'factories/node_asset'

FactoryGirl.define do
  factory :collins_response, class: Hash do
    skip_create

    tag FactoryDefaults::MOCK_ASSET_TAG
    hostname FactoryDefaults::MOCK_ASSET_HOSTNAME
    datacenter FactoryDefaults::MOCK_ASSET_DATACENTER
    environment FactoryDefaults::MOCK_ASSET_ENVIRONMENT
    puppet_environment FactoryDefaults::MOCK_ASSET_ENVIRONMENT
    puppet_enc true

    initialize_with { ({ 'status' => 'success:ok',
                          'data'  => { 'Pagination' => { 'PreviousPage' => 0,
                                                  'CurrentPage'         => 0,
                                                  'NextPage'            => 0,
                                                  'TotalResults'        => 1},
                                   'Data'           => [Utils.get_asset_data(tag, hostname, datacenter, environment,
                                                                 puppet_environment, puppet_enc)]}}
    ) }
  end

  factory :collins_response_multiple_assets, class: Hash do
    skip_create

    tag FactoryDefaults::MOCK_ASSET_TAG
    hostname FactoryDefaults::MOCK_ASSET_HOSTNAME
    datacenter FactoryDefaults::MOCK_ASSET_DATACENTER
    environment FactoryDefaults::MOCK_ASSET_ENVIRONMENT
    puppet_environment FactoryDefaults::MOCK_ASSET_ENVIRONMENT
    puppet_enc true

    initialize_with { ({ 'status' => 'success:ok',
                          'data'  => { 'Pagination' => { 'PreviousPage' => 0,
                                                         'CurrentPage'  => 0,
                                                         'NextPage'     => 0,
                                                         'TotalResults' => 2},
                                       'Data'       => [Utils.get_asset_data(tag, hostname, datacenter, environment,
                                                                 puppet_environment, puppet_enc),
                                                        Utils.get_asset_data(tag, hostname, datacenter, environment,
                                                                 puppet_environment, puppet_enc)]}}
    ) }
  end

  factory :collins_response_headers, class: Hash do
    skip_create

    x_pagination_nextpage '0'
    content_language 'en'
    x_pagination_totalresults '1'
    x_pagination_currentpage '0'
    content_type 'application/json; charset=utf-8'
    x_pagination_previouspage '0'
    content_length '883'
    via '1.1 collins.dev.jivehosted.com'
    connection 'close'

    initialize_with { ({
      'x-pagination-nextpage'     => [x_pagination_nextpage],
      'content-language'          => [content_language],
      'x-pagination-totalresults' => [x_pagination_totalresults],
      'x-pagination-currentpage'  => [x_pagination_currentpage],
      'content-type'              => [content_type],
      'x-pagination-previouspage' => [x_pagination_previouspage],
      'content-length'            => [content_length],
      'via'                       => [via],
      'connection'                => [connection]}
    ) }
  end
end
