require 'spec_helper'

describe 'Node Asset Cache' do
  before :all do
    @cache = FactoryGirl.build(:node_cache)
    @node = FactoryGirl.build(:node_asset)
  end

  it 'write cache' do
    @cache.write(@node.get_hostname, @node)
    expect(@cache.exists?(@node.get_hostname)).to eq(true)
    @cache.delete!(@node.get_hostname)
  end

  it 'reads cache' do
    @cache.write(@node.get_hostname, @node)
    expect(@cache.read(@node.get_hostname).attributes).to eq(@node.attributes)
    @cache.delete!(@node.get_hostname)
  end

  it 'delete cache' do
    @cache.delete!(@node.get_hostname)
    expect(@cache.exists?(@node.get_hostname)).to eq(false)
  end
end