module Utils
  def self.get_asset_data(tag, hostname, datacenter, environment, puppet_environment, puppet_enc)
    return {} if hostname == 'missing'
    { 'ASSET' =>
      { 'ID'    => 1257,
        'TAG'   => tag,
        'STATE' => { 'ID'          => 3,
                     'STATUS'      => nil,
                     'NAME'        => 'RUNNING',
                     'LABEL'       => 'Running',
                     'DESCRIPTION' => 'A service in this state is operational.' },
        'STATUS' => 'Allocated',
        'TYPE'   => 'SERVER_NODE',
       'DISK'  => [],
       'BASE'  => { 'DESCRIPTION' => '',
                    'PRODUCT'     => '',
                    'VENDOR'      => '' }},
       'LLDP'      => { 'INTERFACES' => [] },
       'IPMI'      => nil,
       'ADDRESSES' => [],
       'POWER'     => [],
       'ATTRIBS'   => { '2' => { 'CONFIGURATION_ROLES' => 'puppet-master-dev' },
                        '1' => { 'CONFIGURATION_ROLES' => 'fpm' },
                        '0' => { 'HOSTNAME'            => hostname,
                                 'PUPPET_DATACENTER'   => datacenter,
                                 'PUPPET_ENC'          => puppet_enc,
                                 'DESCRIPTION'         => 'Test_server',
                                 'PRIMARY_ROLE'        => 'Infrastructure',
                                 'OS'                  => 'centos',
                                 'FUNCTION'            => 'infrastructure',
                                 'ENVIRONMENT'         => environment,
                                 'CONFIGURATION_ROLES' => 'puppetmaster',
                                 'MYRANDOM_TAG'        => 'somevalue',
                                 'PUPPET_ENVIRONMENT'  => puppet_environment,
                                 'MONITORING_CONTACTS' => 'Sensu_Events' }
       }
    }
  end
end
